%global make %(cpus=%_smp_mflags;if [ "${cpus##-j}" -gt 4 ];then echo make -j4;else echo make $cpus;fi)

%define oname webkitgtk

%define api 4.0

%define javascriptcoregtk_major 18
%define libjavascriptcoregtk %mklibname javascriptcoregtk %{api} %{javascriptcoregtk_major}
%define javascriptcoregtk_gir %mklibname javascriptcore-gir %{api}

%define webkit2_major 37
%define libwebkit2 %mklibname webkit2gtk %{api} %{webkit2_major}
%define webkit2_gir %mklibname webkit2gtk-gir %{api}


Summary:	Web browser engine
Name:		webkitgtk2
Version:	2.12.1
Release:	%mkrel 1
License:	BSD and LGPLv2+
Group:		System/Libraries
Source0:	http://webkitgtk.org/releases/%{oname}-%{version}.tar.xz
Patch0:		webkitgtk-typelib-sharelib-link.patch
URL:		http://www.webkitgtk.org
BuildRequires: mesa-devel
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}enchant-devel
BuildRequires: %{_lib}atspi-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}geoclue2-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}gstreamer1.0-devel
BuildRequires: %{_lib}gstreamer-plugins-base1.0-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}wayland-devel
BuildRequires: %{_lib}icu-devel
BuildRequires: %{_lib}gstreamer1.0-devel
BuildRequires: %{_lib}gstreamer-plugins-base1.0-devel
BuildRequires: %{_lib}gstreamer-plugins-bad1.0-devel
BuildRequires: %{_lib}harfbuzz-devel
BuildRequires: %{_lib}sqlite3-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}webp-devel
BuildRequires: %{_lib}secret-devel
BuildRequires: bison
BuildRequires: gperf
BuildRequires: python-devel
BuildRequires: ruby
BuildRequires: cairo-devel
BuildRequires: libnotify-devel
BuildRequires: libjpeg-devel
BuildRequires: libsoup-devel 
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: zlib-devel
BuildRequires: libpng-devel
BuildRequires: hyphen-devel
BuildRequires: libx11-devel
BuildRequires: libxcomposite-devel
BuildRequires: libxdamage-devel
BuildRequires: libxrender-devel
BuildRequires: libxt-devel
BuildRequires: cmake
%ifarch x86_64
# Enable FTL
BuildRequires:  libedit-devel
BuildRequires:  llvm-devel
Requires:       llvm
%endif
Obsoletes: webkit2
Provides: webkit2 = %version-%release

%description
WebKit is an open source web browser engine.

%package devel
Summary:	Development files for WebKit GTK+ port
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libwebkit2gtk-devel = %{version}-%{release}
Requires:	%{name} = %{version}
Obsoletes: webkit2-devel
Provides: webkit2-devel = %version-%release


%description devel
The GTK+ port of WebKit is intended to provide a browser component
primarily for users of the portable GTK+ UI toolkit on platforms like
Linux. This package contains development headers.

%prep
%setup -qn %{oname}-%{version}
%apply_patches

%build
%define myflags %(echo %{optflags} | sed 's/-g /-g1 /')
export CFLAGS="%myflags"
export CXXFLAGS="%myflags"
%cmake -DPORT=GTK \
    -DCMAKE_C_FLAGS_RELWITHDEBINFO="-DNDEBUG" \
    -DCMAKE_CXX_FLAGS_RELWITHDEBINFO="-DNDEBUG"

%make

%install
rm -rf %buildroot
%make_install -C build

%find_lang WebKit2GTK-%{api}

%files -f WebKit2GTK-%{api}.lang
%dir %{_libexecdir}/webkit2gtk-%{api}
%{_libexecdir}/webkit2gtk-%{api}/*
%dir %{_libdir}/webkit2gtk-%{api}
%{_libdir}/webkit2gtk-%{api}/injected-bundle/libwebkit2gtkinjectedbundle.so

%{_bindir}/jsc

%{_libdir}/libwebkit2gtk-%{api}.so.%{webkit2_major}
%{_libdir}/libwebkit2gtk-%{api}.so.%{webkit2_major}.*
%{_libdir}/libjavascriptcoregtk-%{api}.so.%{javascriptcoregtk_major}
%{_libdir}/libjavascriptcoregtk-%{api}.so.%{javascriptcoregtk_major}.*
%{_libdir}/girepository-1.0/JavaScriptCore-%{api}.typelib
%{_libdir}/girepository-1.0/WebKit2-%{api}.typelib
%{_libdir}/girepository-1.0/WebKit2WebExtension-%{api}.typelib

%files devel
%{_includedir}/webkitgtk-%{api}
%{_libdir}/*-%{api}.so
%{_libdir}/pkgconfig/*-%{api}.pc
%{_datadir}/gir-1.0/*-%{api}.gir

%changelog
* Tue Oct 25 2016 adrianomorselli <adrianomorselli> 2.12.1-1uplos2016
- rebuild

* Mon Apr 25 2016 bb <bb> 2.12.1-1pclos2016
- update

